## org.eclipse.m2m.atl.profiler.core.util
Class ProfilerModelExporter

    java.lang.Object
      org.eclipse.m2m.atl.profiler.core.util.ProfilerModelExporter

    public final class ProfilerModelExporter

extends java.lang.Object

Export the Profiling model to a more simple model (ExportModel).

Method Summary
`static ExportRoot` `exportCurrentProfilingModel()` Exports the profiling model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### exportCurrentProfilingModel

    public static ExportRoot exportCurrentProfilingModel()
                                                  throws java.lang.Exception

  Exports the profiling model.

  Returns:
    the export root
  Throws:
    `java.lang.Exception`

Copyright 2007 IBM Corporation and others. All Rights Reserved.